Bug 499246 - vol_id mis-prioritizes dmraid vis a vis mdraid
vol_id mis-prioritizes dmraid vis a vis mdraid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 15:07 EDT by Peter Jones
Modified: 2009-07-22 17:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 141-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Switch the priority. (1.21 KB, patch)
2009-05-05 15:07 EDT, Peter Jones
no flags Details | Diff

  None (edit)
Description Peter Jones 2009-05-05 15:07:04 EDT
Created attachment 342523 [details]
Switch the priority.

Description of problem: vol_id shows linux_raid_member sometimes when isw_raid_member would be more appropriate.

Version-Release number of selected component (if applicable):


How reproducible: Always.


Steps to Reproduce:
1. Create a two dmraid raid-1 devices
2. Use one of them in an md raid
3. 
  
Actual results:
run vol_id --probe-all on the raw (sd*) devices.  On disks in the dmraid device that's not part of the md raid, it'll show "isw_raid_member" (assuming isw is our dmraid format).  On disks that are part of the dmraid device that is used in the md raid, it'll show "linux_raid_member" and then "isw_raid_member".

Expected results:
On the devices that are part of the dmraid device used in the md raid device, they should have the opposite priority.

Additional info: Patch attached.
Comment 1 Bug Zapper 2009-06-09 11:12:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2009-06-30 08:05:27 EDT
udev-141-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/udev-141-4.fc11
Comment 3 Fedora Update System 2009-07-02 01:45:28 EDT
udev-141-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7208
Comment 4 Fedora Update System 2009-07-22 17:44:00 EDT
udev-141-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.